Description: Crypted File System & Encrypted Session Manager
Name: cfs
Version: 1.3.3bf
Release: 1
Copyright: csv: Matt Blaze, AT&T     esm: Matt Blaze, AT&T, RSA; 
Group: Daemons
Source0: ftp.hacktic.nl/pub/replay/pub/crypto/CRYPTOapps/cfs-1.3.3bf.tar.gz
Source1: ftp.funet.fi/pub/crypt/cryptography/asymmetric/rsa/rsaref2.tar.gz
Patch: cfs-1.3.3bf-1-linux.patch



%prep
rm -rf rsaref2
%setup
%setup -D -b 1
%patch -p1



%build
cd ../rsaref2/install/unix
make 

cd ../../../cfs-1.3.3bf
make esm
make cfs
cp ../rsaref2/doc/license.txt license_for_esm.txt



%install
make install_cfs
make install_esm

cp cattach.1  /usr/man/man1/cattach.1
cp cdetach.1  /usr/man/man1/cdetach.1
cp cmkdir.1   /usr/man/man1/cmkdir.1
cp cpasswd.1  /usr/man/man1/cpasswd.1
cp esm.1      /usr/man/man1/esm.1
cp ssh.1      /usr/man/man1/ssh.1
cp ccat.8     /usr/man/man8/ccat.8
cp cfsd.8     /usr/man/man8/cfsd.8
cp cname.8    /usr/man/man8/cname.8



%files
/usr/sbin/cfsd
/usr/bin/cattach
/usr/bin/cdetach
/usr/bin/cmkdir
/usr/bin/cpasswd
/usr/bin/ssh    
/usr/bin/cname
/usr/bin/ccat

/usr/man/man1/cattach.1
/usr/man/man1/cdetach.1
/usr/man/man1/cmkdir.1
/usr/man/man1/cpasswd.1
/usr/man/man1/esm.1
/usr/man/man1/ssh.1 
/usr/man/man8/ccat.8
/usr/man/man8/cfsd.8
/usr/man/man8/cname.8

%doc README
%doc README.rpm_install
%doc README.linux
%doc README.history
%doc README.blowfish
%doc notes.ms
%doc README.esm
%doc license_for_esm.txt 